Deskhero Developer Hub
Back to deskhero.com
Account

Cognito sign up init

Starts sign up of a new account by validating the email address and sending a six digit verification code to it. Throttled to 10 attempts per 30 minutes per email address and per IP, and refused outright while Deskhero has sign up paused.

POST /api/sys/v{version:apiVersion}/account/cognito_sign_up_init
Authorisation
No authentication needed

Request arguments

Name Type Source
inputDTO_cognito_sign_up_initBody
Request body example

Response

Status
200 (OK)
Type
DTO_acknowledgement
Wrapper
DTO_response_wrap
Other statuses
400 (BadRequest), 429 (TooManyRequests)
Response body example
DTO_cognito_sign_up_init
NameTypeReadOnlyDescription
emailStringEmail
DTO_acknowledgement
NameTypeReadOnlyDescription
messageStringMessage

Generated Aug 4, 2026 18:37